APIPersonal data
Create a public share
POST
bearerAuth shares.writeheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: shares.write
application/json- body
slug?|Public URL slug. Generated when omitted.
Match
^[a-zA-Z0-9_-]+$Length
1 <= length <= 50expiresAt?|Format
date-timeshowMap?booleanshowStats?booleanshowFlightList?booleandateFrom?string|nulldateTo?string|nullshowFlightNumbers?booleanshowAirlines?booleanshowAircraft?booleanshowTimes?booleanshowTracks?booleanshowDates?booleanshowSeat?booleanCreated share.
application/json- response
data*curl -X POST 'https://your-instance.example/api/v1/shares' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "slug": "string", "expiresAt": "2019-08-24T14:15:22Z", "showMap": true, "showStats": true, "showFlightList": true, "dateFrom": "string", "dateTo": "string", "showFlightNumbers": true, "showAirlines": true, "showAircraft": true, "showTimes": true, "showTracks": true, "showDates": true, "showSeat": true, "id": 0, "createdAt": "2019-08-24T14:15:22Z" }}